Bug 5419 - account fees not showing as reason to not check out
Summary: account fees not showing as reason to not check out
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Nicole C. Engard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 20:52 UTC by Nicole C. Engard
Modified: 2012-10-25 23:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
can't check out (28.66 KB, image/png)
2010-11-18 20:52 UTC, Nicole C. Engard
Details
multiple reasons - which is actually blocking checkouts? (24.93 KB, image/png)
2010-12-27 13:36 UTC, Nicole C. Engard
Details
possible fix (option 1) (35.89 KB, image/png)
2010-12-27 13:52 UTC, Nicole C. Engard
Details
possible fix (option 2) (34.84 KB, image/png)
2010-12-27 13:53 UTC, Nicole C. Engard
Details
signed off patch (3.60 KB, patch)
2010-12-30 16:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-11-18 20:52:17 UTC
Created attachment 2774 [details]
can't check out

On the checkout screen if a patron has no overdues, but owes more than the limit their screen says you can't check out but no reason why.

It should instead say that you can't check out because patron owes too much money.
Comment 1 Nicole C. Engard 2010-12-27 13:33:59 UTC
I should rephrase that. If a patron has items overdue and fines the error message doesn't say which is blocking the checkouts - so often staff think it's one or the other and it might not be the actual reason. In short, the 'cannot check out' message should say why.
Comment 2 Nicole C. Engard 2010-12-27 13:36:56 UTC
Created attachment 2908 [details]
multiple reasons - which is actually blocking checkouts?
Comment 3 Nicole C. Engard 2010-12-27 13:51:33 UTC
Adding Owen to the CC for his design expertise :) Attaching two possible fixes - which do we like?
Comment 4 Nicole C. Engard 2010-12-27 13:52:29 UTC
Created attachment 2909 [details]
possible fix (option 1)

The reason why checkouts are blocked is actually on the screen but all people see is the <h3> - so instead why not add that note up there?
Comment 5 Nicole C. Engard 2010-12-27 13:53:19 UTC
Created attachment 2910 [details]
possible fix (option 2)

Make the reason why checkouts are blocked stand out by removing the entirely red message and putting in highlights instead.
Comment 6 Nicole C. Engard 2010-12-27 13:55:52 UTC
I'm partial to option two since it makes the word 'blocked' stand out as much as 'items overdue' which is what people think is the reason things are blocked (cause they see that first).
Comment 7 Jane Wagner 2010-12-27 14:01:39 UTC
See Bug 3484 for a possible solution
Comment 8 Nicole C. Engard 2010-12-27 14:19:06 UTC
I added the bug to the see also, but that's not the problem that was reported to me.  The problem was that the reason why you couldn't checkout wasn't clear.  A combo of both solutions would probably make them happy.
Comment 9 Nicole C. Engard 2010-12-27 14:20:29 UTC
[08:58]  <jwagner> nengard, see Bug 3484 -- is that what you want?
[08:58]  <munin> Bug http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=3484 enhancement, PATCH-Sent, ---, jwagner, ASSIGNED, Break down fee display on checkout tab
[08:59]  <nengard> jwagner not exactly, the staff want to know why the checkouts are blocked and they're missing the part that says 'checkout blocked cause of fines'
[08:59]  <nengard> they don't care so much about the breakdown
[08:59]  <nengard> but a combo of that screenshot and one of mine might do the job
[08:59]  <jwagner> but if the checkout tab shows patron owes $X in other fines, that should explain why it's blocked, shouldn't it?
[09:15]  <nengard> you'd think wouldn't you
[09:15]  <nengard> but apparently they feel that because the overdues notice is first and bold that must be why it's blocked
[09:16]  <nengard> the circ desk is busy and people just don't pay attention or take the time to pay attention
[09:16]  <nengard> the specific complaint was that the reason for not being able to checkout does not stand out enough
[09:20]  <nengard> and I don't think that splitting out the fines does anythng about that
Comment 10 Nicole C. Engard 2010-12-30 16:41:46 UTC
Created attachment 2924 [details] [review]
signed off patch
Comment 11 Chris Cormack 2011-01-04 20:19:48 UTC
Pushed, please test
Comment 12 MJ Ray (software.coop) 2011-01-11 12:57:25 UTC
This bug is mentioned in:
bug 5419: make reason checkouts	blocked stand out http://lists.koha-community.org/pipermail/koha-patches/2010-December/013472.html
bug 5419: make reason checkouts	blocked stand out http://lists.koha-community.org/pipermail/koha-patches/2010-December/013475.html
bug 5419: make reason checkouts blocked stand out http://lists.koha-community.org/pipermail/koha-patches/2010-December/013478.html
bug 5419: make reason checkouts blocked stand out http://lists.koha-community.org/pipermail/koha-patches/2010-December/013480.html
Comment 13 MJ Ray (software.coop) 2011-02-07 09:58:45 UTC
This bug is mentioned in:
bug 5419: make reason checkouts blocked stand out] http://lists.koha-community.org/pipermail/koha-patches/2011-January/013504.html